---
sidebar_label: Locator.hover
---

# Locator.hover() method

#### Signature:

```typescript
class Locator {
  abstract hover(hoverOptions?: {signal?: AbortSignal}): Promise<void>;
}
```

## Parameters

| Parameter    | Type                      | Description  |
| ------------ | ------------------------- | ------------ |
| hoverOptions | { signal?: AbortSignal; } | _(Optional)_ |

**Returns:**

Promise&lt;void&gt;
